Bug 41787 - man page for route (Section 8) missing definition for -d
Summary: man page for route (Section 8) missing definition for -d
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-19 18:30 UTC by Matthew Soffen
Modified: 2003-11-10 14:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Paetzel 2002-08-19 15:44:29 UTC
On Mon, 2002-08-19 at 17:22, Matthew Soffen wrote:
> 
> >Number:         41787
> >Category:       docs
> >Synopsis:       man page for route (Section 8) missing definition for -d
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-doc
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          doc-bug
> >Submitter-Id:   current-users
> >Arrival-Date:   Mon Aug 19 10:30:01 PDT 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Matthew Soffen
> >Release:        4.2
> >Organization:
> .
> >Environment:
> FreeBSD truffle0.soffen.com 4.2-RELEASE FreeBSD 4.2-RELEASE #0: Mon Nov 20 13:02:55 GMT 2000     jkh@bento.FreeBSD.org:/usr/src/sys/compile/GENERIC  i386
> >Description:
> The man page for /sbin/route in Section 8 doesn't have a definition for the -d parameter.
> >How-To-Repeat:
> man 8 route    
> >Fix:
> Add description for -d (Delete ?)
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
>

I'll take a gander at this.  I quick perusal of route.c has me thinking
it's a debug or verbose switch.  Have to do a bit more research though.

josh
Comment 1 Matthew Soffen 2002-08-19 18:30:01 UTC
The man page for /sbin/route in Section 8 doesn't have a definition for the -d parameter.

Fix: 

Add description for -d (Delete ?)
How-To-Repeat: man 8 route
Comment 2 Josh Paetzel 2002-08-20 23:33:46 UTC
>  > >How-To-Repeat:
>  > man 8 route    
>  > >Fix:
>  > Add description for -d (Delete ?)
>  > >Release-Note:
>  > >Audit-Trail:
>  > >Unformatted:
>  >
>  
>  I'll take a gander at this.  I quick perusal of route.c has me thinking
>  it's a debug or verbose switch.  Have to do a bit more research though.
>  
>  josh

I emailed ume@freebsd.org which according to the cvs records is the
person who has committed the last several changes to route.c  The -d
switch is definitely the debug switch, but what it actually does is
beyond my ken.

Josh
Comment 3 Christian Brueffer freebsd_committer 2003-11-10 14:28:53 UTC
State Changed
From-To: open->closed

I have added a describtion, MFC to come.  Thanks!